summaryrefslogtreecommitdiff
path: root/app-arch
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-14 03:04:42 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-14 03:04:42 -0500
commitd09313d7f2546bde376a20ff739a5e90cb229e25 (patch)
treea409e87d73f1fd8dc145a1210d1a44bb1b1982c7 /app-arch
parent98066fc1faacac449ddea472e456f23ad0e2a515 (diff)
downloadbaldeagleos-repo-d09313d7f2546bde376a20ff739a5e90cb229e25.tar.gz
baldeagleos-repo-d09313d7f2546bde376a20ff739a5e90cb229e25.tar.xz
baldeagleos-repo-d09313d7f2546bde376a20ff739a5e90cb229e25.zip
Adding metadata
Diffstat (limited to 'app-arch')
-rw-r--r--app-arch/unrar/Manifest1
-rw-r--r--app-arch/unrar/unrar-7.3.1.ebuild79
2 files changed, 80 insertions, 0 deletions
diff --git a/app-arch/unrar/Manifest b/app-arch/unrar/Manifest
index 1a24476cc239..97199a268445 100644
--- a/app-arch/unrar/Manifest
+++ b/app-arch/unrar/Manifest
@@ -1 +1,2 @@
DIST unrar-7.2.7.tar.gz 270458 BLAKE2B 823f6d76dd81679da571310f4909404b3f684e632aeea52b1daf1d846a765e289a295e650f270c55c763d72671595c1258c1c090c43b0b7834371b978091a40f SHA512 d0bd26a03eb2961a792fd2c8983abcce46cea22d66b2a190f5b0defa95c457aaf460ddfe17b3f83d48de90faf3f5126ebed4088172be6ec973099dfc5461fcb7
+DIST unrar-7.3.1.tar.gz 273526 BLAKE2B 6dcdbb57600984d022655d6df3cc3656db650c14fa1d4c9ed89c827cbf002e105083949b34ba3d2dd6e0c4b1c8584001adbcd206a0099c0f02646df657f62c26 SHA512 f772ef9e67d4828eef1ff7270ca875e9b0447f146b9e609c50594bb46754e7cce9e7ad8c05f6c026d5ba430c110483bfbc880ad2fbd081cff7939ee5ea21a521
diff --git a/app-arch/unrar/unrar-7.3.1.ebuild b/app-arch/unrar/unrar-7.3.1.ebuild
new file mode 100644
index 000000000000..6a6212b2451c
--- /dev/null
+++ b/app-arch/unrar/unrar-7.3.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib toolchain-funcs
+
+MY_PN="${PN}src"
+
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="https://www.rarlab.com/rar_add.htm"
+SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/unrar"
+
+LICENSE="unRAR"
+SLOT="0/7" # subslot = soname version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+
+PATCHES=( "${FILESDIR}/${PN}-6.2.6-honor-flags.patch" )
+
+src_prepare() {
+ default
+
+ local sed_args=( -e "/libunrar/s:.so:$(get_libname ${PV%.*.*}):" )
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed_args+=( -e "s:-shared:-dynamiclib -install_name ${EPREFIX}/usr/$(get_libdir)/libunrar$(get_libname ${PV%.*.*}):" )
+ else
+ sed_args+=( -e "s:-shared:& -Wl,-soname -Wl,libunrar$(get_libname ${PV%.*.*}):" )
+ fi
+ sed -i "${sed_args[@]}" makefile || die
+}
+
+src_configure() {
+ mkdir -p build-{lib,bin} || die
+ printf 'VPATH = ..\ninclude ../makefile' > build-lib/Makefile || die
+ cp build-{lib,bin}/Makefile || die
+}
+
+src_compile() {
+ unrar_make() {
+ emake AR="$(tc-getAR)" CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS}" STRIP=true "$@"
+ }
+
+ unrar_make CXXFLAGS+=" -fPIC" -C build-lib lib
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname) || die
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname ${PV}) || die
+
+ unrar_make -C build-bin
+}
+
+src_install() {
+ dobin build-bin/unrar
+ dodoc readme.txt
+
+ dolib.so build-lib/libunrar*
+
+ # unrar doesn't officially install headers, but unofficially, software
+ # depends on it anyway. There is no standard for where to install them,
+ # but the most common location (shared by nearly all vendors) is "unrar".
+ # FreeBSD alone uses "libunrar". Gentoo formerly used "libunrar6" and
+ # had a compat symlink for FreeBSD, then passed the compat location in
+ # ./configure scripts e.g. for sys-fs/rar2fs. Software in the wild
+ # seems to expect either "unrar" or "libunrar".
+ # See: https://bugs.gentoo.org/916036
+ #
+ # We now use the "standard" (hah) location, and keep the compat symlink but
+ # change the destination. The version-suffixed location lacks utility, but
+ # we would keep it if we could, just in case -- unfortunately portage is
+ # buggy: https://bugs.gentoo.org/834600
+ #
+ # Hopefully, no one has ever actually used it and therefore this does not
+ # matter. The odds are on our side, since it periodically changed location
+ # arbitrarily.
+ insinto /usr/include/unrar
+ doins *.hpp
+ dosym unrar /usr/include/libunrar
+
+ find "${ED}" -type f -name "*.a" -delete || die
+}